Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class ElementSelectionServiceJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.gmf.runtime.common.ui.services.elementselection.ElementSelectionServiceJob

All Implemented Interfaces:
  java.lang.Comparable, IAdaptable

    public class ElementSelectionServiceJob

extends Job

A job for an element selection provider. Each element selection provider is run asynchronously in a separate job, sending matching objects to the listener.

This is required since a ElementSelectionProvider may be a long running process. Control is returned to the caller to either display a progress monitor or update the UI as matching objects are received.

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Fields inherited from class org.eclipse.core.internal.jobs.InternalJob
`manager`

Constructor Summary
`ElementSelectionServiceJob(java.lang.String name, IElementSelectionProvider provider)` Constructor for a ElementSelectionServiceJob.

Method Summary
`protected IStatus` `run(IProgressMonitor monitor)`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, canceling, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, wakeUp, wakeUp`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo, toString`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ElementSelectionServiceJob

    public ElementSelectionServiceJob(java.lang.String name,
                                      IElementSelectionProvider provider)

  Constructor for a ElementSelectionServiceJob.

  Parameters:
    `name` - the name of the job.
    `provider` - The element selection provider.

Method Detail

### run

    protected IStatus run(IProgressMonitor monitor)

  Specified by:
    `run` in class `Job`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.